# AIWaypointList Class Reference
[Classes that create a list of items.]

Creates a list of waypoints of which you are the owner. More...

`#include <ai_waypointlist.hpp>`

Inheritance diagram for AIWaypointList:

## Public Member Functions
| AIWaypointList (AIWaypoint::WaypointType waypoint_type)
## Static Public Member Functions
static const char * | GetClassName ()

## Detailed Description

Creates a list of waypoints of which you are the owner.

Definition at line 22 of file ai_waypointlist.hpp.

## Constructor & Destructor Documentation

AIWaypointList::AIWaypointList | ( | AIWaypoint::WaypointType | waypoint_type | ) |

Parameters:

  | waypoint_type | The type of waypoint to make a list of waypoints for.

Definition at line 18 of file ai_waypointlist.cpp.

References AIAbstractList::AddItem(), BaseStation::facilities, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tcache, Tzero >::PoolItem< Tpool >::index, BaseStation::owner, and OWNER_NONE.

The documentation for this class was generated from the following files:

- src/ai/api/ai_waypointlist.hpp
- src/ai/api/ai_waypointlist.cpp